Loading...
Searching...
No Matches
LCM.LCM.TCPProvider Class Reference

LCM provider for the tcp: URL. All messages are sent to a central "hub" process (that must be started separately), which will relay the messages to all other processes. TCPService is an implementation of the hub process. More...

Inheritance diagram for LCM.LCM.TCPProvider:

## Public Member Functions

| TCPProvider (LCM lcm, URLParser up)
| TCP provider constructor.
virtual void | Publish (string channel, byte[] data, int offset, int length)
| Publish a message synchronously. However, if the server is not available, it will return immediately.
virtual void | Subscribe (string channel)
| Subscribe method.
void | Unsubscribe (string channel)
| Unsubscribe method.
virtual void | Close ()
| Close the TCP provider.

## Properties

System.Net.IPAddress | InetAddr`[get]`
int | InetPort`[get]`

## Detailed Description

LCM provider for the tcp: URL. All messages are sent to a central "hub" process (that must be started separately), which will relay the messages to all other processes. TCPService is an implementation of the hub process.

The .NET implementation is functionally equal to the Java version.

## Constructor & Destructor Documentation

## TCPProvider()

LCM.LCM.TCPProvider.TCPProvider | ( | LCM | lcm,
|  | URLParser | up )

inline

TCP provider constructor.

Parameters

  lcm | LCM object
  up | URL parser object

## Member Function Documentation

## Close()

virtual void LCM.LCM.TCPProvider.Close | ( |  | ) |

inline virtual

Close the TCP provider.

Implements LCM.LCM.Provider.

## Publish()

virtual void LCM.LCM.TCPProvider.Publish | ( | string | channel,
|  | byte[] | data,
|  | int | offset,
|  | int | length )

inline virtual

Publish a message synchronously. However, if the server is not available, it will return immediately.

Parameters

  channel | channel name
  data | data byte array
  offset | offset of the data to write
  length | length of the data to write

Implements LCM.LCM.Provider.

## Subscribe()

virtual void LCM.LCM.TCPProvider.Subscribe | ( | string | channel | ) |

inline virtual

Subscribe method.

Parameters

  channel | channel name

Implements LCM.LCM.Provider.

## Unsubscribe()

void LCM.LCM.TCPProvider.Unsubscribe | ( | string | channel | ) |

inline

Unsubscribe method.

Parameters

  channel | channel name

Implements LCM.LCM.Provider.

The documentation for this class was generated from the following file:

- lcm/lcm/TCPProvider.cs